aboutsummaryrefslogtreecommitdiffstats
path: root/main/poppler-qt4/APKBUILD
blob: 640dc751e17c495588d197ad48af838834858c65 (plain) (blame)
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
54
55
56
57
58
59
60
61
62
63
64
65
# Maintainer: Natanael Copa <ncopa@alpinelinux.org>

# this aport only includes glib/gtk support in order to break the
# circular make dependency: gtk <- cups <- poppler <- gtk


pkgname=poppler-qt4
_realname=poppler
pkgver=0.56.0
pkgrel=0
pkgdesc="PDF rendering library based on xpdf 3.0"
url="https://poppler.freedesktop.org/"
arch="all"
license="GPL"
subpackages="$pkgname-dev"
makedepends="jpeg-dev cairo-dev libxml2-dev fontconfig-dev qt-dev
	poppler-dev>=$pkgver lcms2-dev openjpeg-dev"
depends=
replaces="poppler-glib"
depends_dev="$makedepends"
source="https://poppler.freedesktop.org/poppler-$pkgver.tar.xz"

builddir="$srcdir/$_realname-$pkgver"

prepare() {
	local _linked_pkg=poppler
	local _linked_apkbuild="$startdir"/../$_linked_pkg/APKBUILD
	cd "$builddir"
	if  [ -f "$_linked_apkbuild" ]; then
		local _linked_ver=$( . "$_linked_apkbuild"; echo "$pkgver")
		if [ "$_linked_ver" != "$pkgver" ]; then
			error "pkgver needs to be identical with $_linked_pkg ($_linked_ver)"
			return 1
		fi
	fi
}

build() {
	cd "$builddir"
	./configure \
		--build=$CBUILD \
		--host=$CHOST \
		--prefix=/usr \
		--sysconfdir=/etc \
		--localstatedir=/var \
		--disable-static \
		--disable-poppler-glib \
		--enable-cairo-output \
		--enable-xpdf-headers \
		--enable-libjpeg \
		--enable-zlib \
		--enable-poppler-qt4 \
		--disable-utils \
		|| return 1
	make || return 1
}

package() {
	cd "$builddir"
	install -D -m644 poppler-qt4.pc "$pkgdir"/usr/lib/pkgconfig/poppler-qt4.pc
	cd qt4
	make DESTDIR="$pkgdir" install || return 1
}

sha512sums="74d2ca63afcb7e155c153b4ddc71621b7f4f2c60d4fcafd873176d5ac59fafedc35b200a22c7af2013d7f75e670a1cc23d6ba878167a02209917f8d30002d528  poppler-0.56.0.tar.xz"